SMTP - character encoding

01/25/2011 11:37 AM - Miroslav Fidler

Status: Approved Start date: 01/25/2011

Priority: Urgent Due date:

Assignee: Tomas Rylek % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

History

#1 - 01/27/2011 10:28 AM - Miroslav Fidler

- Assignee set to Miroslav Fidler

#2 - 01/27/2011 11:15 AM - Miroslav Fidler

- Status changed from New to In Progress

Resim na zaklade:

http://tools.ietf.org/html/rfc2047

#3 - 01/27/2011 01:12 PM - Miroslav Fidler

- Status changed from In Progress to Ready for QA

- Assignee changed from Miroslav Fidler to Tomas Rylek

Should work now.

Transcript now looks something like (login/pwd replaced with '****'):

220 out.smtp.cz ESMTP Postfix

HELO ultimatepp.org

250 out.smtp.cz

AUTH LOGIN

334 ****

***

334 ****

***

235 2.7.0 Authentication successful

MAIL FROM:<postmaster@ultimatepp.org>

250 2.1.0 Ok

RCPT TO:<cxl@ntllib.org>

250 2.1.5 Ok

DATA

354 End data with <CR><LF>.<CR><LF>

From: "=?Utf-8?q?Mirek=20F=C3=ADdler?=" <postmaster@ultimatepp.org>

To: "=?Utf-8?q?Mirek=20F=C3=ADdler?=" <cxl@ntllib.org>

Subject:

=?Utf-8?q?Hezk=C3=BD=20=C4=8Desk=C3=BD=20email!=20A=20nyn=C3=AD=20trochu=20=C4=8D=C3=ADnsk=C3=BDch=20znak=C5=AF:=20=E4=BD=BF=E7=94=A8=E8=80=85=E5=8F=96=E6=B6=88?=
Reply-To: "=?Utf-8?q?Postmaster?=" <postmaster@ultimatepp.org>
Date: Thu, 27 Jan 2011 13:01:32 +0100
Content-Type: text/plain; charset="UTF-8" 
Content-Transfer-Encoding: quoted-printable

Testuji SmtpMail... Hezk=C3=BD =C4=8Desk=C3=BD email! A nyn=C3=AD trochu =C4=8D=C3=ADnsk=C3=BDch znak=C5=AF: =E4=BD=BF=E7=94=A8=E8=80=85=E5=8F=96=E6=B6=88
.
250
:=20=E4=BD=BF=E7=94=A8=E8=80=85=E5=8F=96=E6=B6=88?=

Reply-To: "=?Utf-8?q?Postmaster?=" <postmaster@ultimatepp.org>

Date: Thu, 27 Jan 2011 13:01:32 +0100

Content-Type: text/plain; charset="UTF-8" 

Content-Transfer-Encoding: quoted-printable

Testuji SmtpMail... Hezk=C3=BD =C4=8Desk=C3=BD email! A nyn=C3=AD trochu =C4=8D=C3=ADnsk=C3=BDch znak=C5=AF:

=E4=BD=BF=E7=94=A8=E8=80=85=E5=8F=96=E6=B6=88

.

250 2.0.0 Ok: queued as 831B62688E2

QUIT

221 2.0.0 Bye

I have also added "name" option to relevant methods and changed String parameters to const String&...

#4 - 01/27/2011 08:03 PM - Tomas Rylek

- Assignee changed from Tomas Rylek to Miroslav Fidler

Added default (Null) value for 'name' parameter of SmtpMail::ReplyTo ;-).

#5 - 01/27/2011 09:01 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Tomas Rylek

OK, sorry for that.

Anyway, after some tests that you have intended to do, I think it should be you who approves historically the first U++/RM task :)

#6 - 01/28/2011 03:23 AM - Tomas Rylek

- Status changed from Ready for QA to Approved

My pleasure.
